View Issue Details

IDCategoryLast Update
0007227bugs2017-07-19 15:28
ReportercolinfAssigned Topaul 
Reproducibilityhave not tried 
Status assignedResolutionopen 
Product Version5.X git (version in description) 
Fixed in Version 
Summary0007227: 'Save As...' oddities
Description'Save As...' behaves a bit strangely for me.

If 'Newly-saved session should be empty' is ticked, then after entering a new name and clicking 'OK', I get the 'Unsaved Session' dialogue, but with the new name as the name of the session that hasn't been saved. Clicking 'Save and Close' then opens the newly-created session, but the 'Missing file' dialogue then appears for all the files in the original session.

TagsNo tags attached.

Activities

colinf

2017-02-06 19:27

updater   ~0019335

Also, reopening the first session after doing this shows the 'Crash Recovery' dialogue.

colinf

2017-02-06 19:29

updater   ~0019336

Unticking 'Switch to newly-saved version' also doesn't work: the newly-saved version is opened in either case. The only difference I can see is that the 'Unsaved Session' dialogue that appears shows the old session name, not the new one.

paul

2017-02-09 11:42

administrator   ~0019350

the save-session dialog is definitely fixed in git now. the always-switch issue appears fixed to me, but for reasons that i don't entirely understand, so i'd appreciation confirmation or followup ...

colinf

2017-07-19 14:21

updater   ~0019903

Hmm, just got a segfault on 'Save as' in today's git 255d633ed, though that's probably not related to the original bug reported here. Just looking at the backtrace now: I'll attach it here in a moment if it looks at all relevant...

x42

2017-07-19 15:28

administrator   ~0019904

I've seen some "crash recovery" dialogs as well (also with "save snapshot & switch to new version"). The old session isn't saved before switching.

Issue History

Date Modified Username Field Change
2017-02-06 19:22 colinf New Issue
2017-02-06 19:27 colinf Note Added: 0019335
2017-02-06 19:29 colinf Note Added: 0019336
2017-02-07 16:26 paul Assigned To => paul
2017-02-07 16:26 paul Status new => confirmed
2017-02-09 11:42 paul Note Added: 0019350
2017-02-09 11:42 paul Status confirmed => feedback
2017-07-19 14:21 colinf Note Added: 0019903
2017-07-19 14:21 colinf Status feedback => assigned
2017-07-19 15:28 x42 Note Added: 0019904